summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/scripts/texlive-extra
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2021-11-20 23:01:11 +0000
committerKarl Berry <karl@freefriends.org>2021-11-20 23:01:11 +0000
commitcdb8cc3d9c6117cbec0b6935d177d829073b30fe (patch)
tree7f0400e0285e8e2cf66fe3d735a18ca872ba14e9 /Master/texmf-dist/scripts/texlive-extra
parente6136d0b484623d79a0c5dd8fe5ec1e20d970209 (diff)
scripts xetex-unsafe and xelatex-unsafe, for xetex+pstricks+transparency
git-svn-id: svn://tug.org/texlive/trunk@61101 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/scripts/texlive-extra')
-rw-r--r--Master/texmf-dist/scripts/texlive-extra/README2
-rw-r--r--Master/texmf-dist/scripts/texlive-extra/xelatex-unsafe.sh24
-rwxr-xr-xMaster/texmf-dist/scripts/texlive-extra/xetex-unsafe.sh37
3 files changed, 62 insertions, 1 deletions
diff --git a/Master/texmf-dist/scripts/texlive-extra/README b/Master/texmf-dist/scripts/texlive-extra/README
index 53854c6f407..55d0cebcecb 100644
--- a/Master/texmf-dist/scripts/texlive-extra/README
+++ b/Master/texmf-dist/scripts/texlive-extra/README
@@ -13,6 +13,6 @@ inherited from teTeX.
See texmf-dist/scripts/texlive/README (i.e., ../texlive/README) for more
info.
-The principal mailing list is http://lists.tug.org/tex-live.
+The principal mailing list is https://lists.tug.org/tex-live.
All of these scripts are free software, mostly public domain.
diff --git a/Master/texmf-dist/scripts/texlive-extra/xelatex-unsafe.sh b/Master/texmf-dist/scripts/texlive-extra/xelatex-unsafe.sh
new file mode 100644
index 00000000000..de17ee3b7e4
--- /dev/null
+++ b/Master/texmf-dist/scripts/texlive-extra/xelatex-unsafe.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written by Karl Berry, 2021.
+# Run Xe(La)TeX unsafely, for pstricks/transparency. See man page for more.
+
+if test "x$1" = x--help; then
+ mydir=`dirname $0`
+ if test -r "$mydir"/xetex-unsafe; then
+ xu="$mydir"/xetex-unsafe
+ elif test -r "$mydir"/xetex-unsafe.sh; then
+ xu="$mydir"/xetex-unsafe.sh
+ else
+ echo "$0: can't find companion xetex-unsafe[.sh] for help msg?" >&2
+ exit 1
+ fi
+ exec "$xu" --help # don't want to duplicate help message.
+
+elif test "x$1" = x--version; then
+ echo "$Id$"
+ exit 0
+fi
+
+cmd=`echo "$0" | sed s/-unsafe//`
+exec "$cmd" -output-driver="xdvipdfmx -i dvipdfmx-unsafe.cfg -q -E" "$@"
diff --git a/Master/texmf-dist/scripts/texlive-extra/xetex-unsafe.sh b/Master/texmf-dist/scripts/texlive-extra/xetex-unsafe.sh
new file mode 100755
index 00000000000..e07493cd6c3
--- /dev/null
+++ b/Master/texmf-dist/scripts/texlive-extra/xetex-unsafe.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written by Karl Berry, 2021.
+# Run Xe(La)TeX unsafely, for pstricks/transparency. See man page for more.
+
+if test "x$1" = x--help; then
+ cat <<END_USAGE
+Usage: $0 [XETEX-ARGUMENT]...
+
+Run Xe(La)TeX unsafely, that is, using dvipdfmx-unsafe.cfg. All
+command-line arguments, except --help and --version, are passed as-is to
+Xe(La)TeX.
+
+As of TeX Live 2022, doing this is needed only when running XeTeX on
+documents using PSTricks features which require transparency. We
+recommend using Lua(La)TeX with PSTricks instead of XeTeX in this case.
+
+At all costs, avoid using this, or any, unsafe invocation with documents
+off the net or that are otherwise untrusted in any way.
+
+For more details on this, please see the xetex-unsafe(1) man page,
+or "texdoc xetex-unsafe".
+
+For more about XeTeX: https://tug.org/xetex
+For more about PSTricks: https://tug.org/PSTricks
+Email for xe(la)tex-unsafe specifically: https://lists.tug.org/dvipdfmx
+END_USAGE
+ echo '$Id$'
+ exit 0
+
+elif test "x$1" = x--version; then
+ echo '$Id$'
+ exit 0
+fi
+
+cmd=`echo "$0" | sed s/-unsafe//`
+exec "$cmd" -output-driver="xdvipdfmx -i dvipdfmx-unsafe.cfg -q -E" "$@"